Page MenuHomePhabricator

JSON.parse error while initialising module 'wikibase.mediainfo.filePageDisplay'
Closed, ResolvedPublic

Description

On most Commons pages, both logged-in and logged-out. Chrome stable.

E.g. viewing https://commons.wikimedia.org/wiki/File:Example.jpg

Exception in module-execute in module wikibase.mediainfo.filePageDisplay:
load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector:2 SyntaxError: Unexpected token u in JSON at position 0
    at JSON.parse (<anonymous>)
    at DepictsPanel.sd.DepictsPanel.initialize (<anonymous>:482:550)
    at <anonymous>:483:962
    at mw.loader.implement.wikibasemediainfo-filepage-add-caption (<anonymous>:483:976)
    at runScript (VM655 load.php:13)
    at execute (VM655 load.php:15)
    at doPropagation (VM655 load.php:7)

Event Timeline

Krinkle created this task.Feb 15 2019, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 10:13 PM
Jdforrester-WMF triaged this task as High priority.Feb 15 2019, 10:15 PM

Eurgh.

Krinkle updated the task description. (Show Details)Feb 15 2019, 10:16 PM
Cparle added a subscriber: Cparle.Feb 18 2019, 11:02 AM

@Jdforrester-WMF nope, but it was fixed by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/490613 ... ok to leave it to the train or should we deploy it sooner?

Cparle closed this task as Resolved.Feb 21 2019, 11:12 AM
Cparle reopened this task as Open.

oops, closed by accident - leaving to @Krinkle to close once it's deployed

Jdforrester-WMF closed this task as Resolved.Feb 22 2019, 12:31 PM

I'm happy to confirm.